commit:     f75c7fc3ca8b86f6d45831ff185b6e0bf1b03fc3
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Sat Mar 30 11:03:04 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Mar 30 11:05:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f75c7fc3

dev-ruby/asciidoctor-pdf: add 2.3.15

Pinned dev-ruby/prawn to a compatible version.

Closes: https://bugs.gentoo.org/927877
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 dev-ruby/asciidoctor-pdf/Manifest                  |  1 +
 .../asciidoctor-pdf/asciidoctor-pdf-2.3.15.ebuild  | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-ruby/asciidoctor-pdf/Manifest 
b/dev-ruby/asciidoctor-pdf/Manifest
index da970f9c3b..3181984ff2 100644
--- a/dev-ruby/asciidoctor-pdf/Manifest
+++ b/dev-ruby/asciidoctor-pdf/Manifest
@@ -1 +1,2 @@
 DIST asciidoctor-pdf-2.3.13.tar.gz 6562594 BLAKE2B 
94f8c4694f1ff70fa5205c83c6b69dba7ea6eea9519ec7c083412e45cc04b0c4016045815cf89745751a64fcf572edca423099879c80f3c81f3ff26883dd29ee
 SHA512 
0b484ae44c880f079c75c01a7526ecf0e9a736ed375e0208a8e95a0331794c4d282272f5194fbc7c30f7b561154badc0d0ef0c8afc9a12556c3915e1100098e3
+DIST asciidoctor-pdf-2.3.15.tar.gz 6560656 BLAKE2B 
08c49f3773a5a306524afcdc7efc52fd4f441f66cda4e804003670375c8649de792b4c6fbe1880e017a6ddfc21afa33cbc2f804865d4adad6c976003569edb7d
 SHA512 
106ddb2f41f2d92dc7b116d2f0d5d9cf30886199b1fbb17e6e7ab2c8006515362c950d5ef512b5871d6851c7c0dff56d7cb0931365b3e9b1f825bead6d08e769

diff --git a/dev-ruby/asciidoctor-pdf/asciidoctor-pdf-2.3.15.ebuild 
b/dev-ruby/asciidoctor-pdf/asciidoctor-pdf-2.3.15.ebuild
new file mode 100644
index 0000000000..14acd90885
--- /dev/null
+++ b/dev-ruby/asciidoctor-pdf/asciidoctor-pdf-2.3.15.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc README.adoc"
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+RUBY_FAKEGEM_GEMSPEC="asciidoctor-pdf.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A native PDF converter for AsciiDoc based on Asciidoctor and 
Prawn"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor-pdf";
+SRC_URI="https://github.com/asciidoctor/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( app-text/poppler )"
+
+# prawn-2.5.0 is not compatible yet
+ruby_add_rdepend "
+       >=dev-ruby/asciidoctor-2.0
+       >=dev-ruby/concurrent-ruby-1.1
+       >=dev-ruby/matrix-0.4
+       ~dev-ruby/prawn-2.4.0
+       >=dev-ruby/prawn-icon-3.0.0
+       >=dev-ruby/prawn-svg-0.34.0
+       >=dev-ruby/prawn-table-0.2.0
+       >=dev-ruby/prawn-templates-0.1.0
+       >=dev-ruby/treetop-1.6.0
+       "
+ruby_add_bdepend "test? (
+       >=dev-ruby/chunky_png-1.4.0
+       >=dev-ruby/coderay-1.1.0
+       >=dev-ruby/pdf-inspector-1.3.0
+)"
+
+all_ruby_prepare() {
+       rm Gemfile || die
+
+       sed -i -e "s:_relative ': './:" ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+}
+
+each_ruby_test() {
+       RSPEC_VERSION=3 ruby-ng_rspec -t ~network -t ~visual spec
+}

Reply via email to